Dev GuideAPI Reference
Dev GuideAPI ReferenceUser GuideGitHubNuGetDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

Updates an existing cart.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

Cart id.

Body Params

Cart model.

string | null

Address ID.

uuid

Affiliate ID (GUID).

string | null

Billing currency.

uuid

Customer ID (GUID).

string | null

Customer name.

double

Handling total.

uuid

Instance ID (GUID).

string | null

Market ID.

string
required

Order name.

orderAddresses
array of objects | null

List of addresses.

orderAddresses
orderForms
array of objects | null

List of order forms.

orderForms
int32

Order group ID.

orderNotes
array of objects | null

List of order notes.

orderNotes
string | null

Owner name.

string | null

Owner's organization name.

string | null

Provider ID.

double

Shipping total.

string | null

Status. Valid values:

  • AwaitingExchange
  • Cancelled
  • Completed
  • InProgress
  • OnHold
  • PartiallyShipped.
double

Sub-total.

double

Tax total.

double

Total.

date-time

Modified date.

date-time

Created date.

properties
array of objects | null

Gets the list of key value pairs for dealing with custom properties.

properties
Responses
200

Success

204

The cart is saved.

400

If the cart model is not valid.

401

If user does not have enough permission for this request.

404

If cart does not exist.

501

Serializable carts feature is enabled and that feature is not supported here.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!